package com.happy.Model;

import java.util.HashMap;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;

/**
 * @Description
 * @Author  raojiaolong
 * @String 2023-07-29
 */

public class Hotel {


	/**
	 * 主键
	 */
	private Integer id;

	/**
	 * 所属商家Id
	 */
	private Integer managerId;

	/**
	 * 封面图
	 */
	private String coverImg;

	/**
	 * 酒店名称
	 */
	private String hname;

	/**
	 * 酒店名称
	 */
	private String hotel_name;

	/**
	 * 酒店位置
	 */
	private String hposition;

	/**
	 * 酒店位置经纬度
	 */
	private String hpositionWens;

	/**
	 * 酒店类型
	 */
	private String htype;

	/**
	 * 酒店类型名称
	 */
	private String hTypeName;

	/**
	 * 酒店状态(1 营业 2.休息)
	 */
	private Integer hstatus;

	/**
	 * 开业时间
	 */
	private String openTime;

	/**
	 * 装修时间
	 */
	private String fitupTime;

	/**
	 * 入住时间
	 */
	private String liveTime;

	/**
	 * 离店时间
	 */
	private String leaveTime;

	/**
	 * 客房剩余数
	 */
	private Integer roomNumber;

	/**
	 * 客房总数
	 */
	private String room_number_calc;
	/**
	 * 简介备注
	 */
	private String remark;

	/**
	 * 酒店配置
	 */
	private String hconfig;

	private List hconfigList;
	/**
	 * 接单设置（1自动接单 2手动接单）
	 */
	private Integer isOrder;

	/**
	 * 是否自动退房（1是 2否）
	 */
	private Integer isCheckout;

	/**
	 * 订单锁定时间
	 */
	private String lockTime;

	/**
	 * 取消订单时间
	 */
	private String cancelTime;

	/**
	 * 是否能取消订单（1是 2否）
	 */
	private Integer isCanorder;

	/**
	 * 创建人
	 */
	private Integer createId;

	/**
	 * 创建时间
	 */
	private String createDate;

	/**
	 * 修改时间
	 */
	private String modifyDate;

	/**
	 * 数据状态
	 */
	private Integer status;

	/**
	 * 当前酒店最低价
	 */
	private String min_price;
	/**
	 * 关联商家联系人电话
	 */
	private String managerPhone;

	/**
	 * 乡镇ID
	 */
	private String hotelTownship;

	/**
	 * 关联商家所属乡镇
	 */
	private String hotelTownshipName;
	private List<House> houseList;

	/**
	 * 酒店详细图
	 */
	private List<FileInfo> hotelFileInfoList;

	private String collect_hotel;
	private boolean is_collect_hotel;

	private Double score;
	/**
	 * 720全景图链接
	 */
	private String linkProUrl;

	// 名宿类型
	private String type;

	public Double getScore() {
		return score;
	}

	public void setScore(Double score) {
		this.score = score;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getManagerId() {
		return managerId;
	}

	public void setManagerId(Integer managerId) {
		this.managerId = managerId;
	}

	public String getCoverImg() {
		return coverImg;
	}

	public void setCoverImg(String coverImg) {
		this.coverImg = coverImg;
	}

	public String getHname() {
		return hname;
	}

	public void setHname(String hname) {
		this.hname = hname;
	}

	public String getHposition() {
		return hposition;
	}

	public void setHposition(String hposition) {
		this.hposition = hposition;
	}

	public String getHpositionWens() {
		return hpositionWens;
	}

	public void setHpositionWens(String hpositionWens) {
		this.hpositionWens = hpositionWens;
	}

	public String getHtype() {
		return htype;
	}

	public void setHtype(String htype) {
		this.htype = htype;
	}

	public String gethTypeName() {
		return hTypeName;
	}

	public void sethTypeName(String hTypeName) {
		this.hTypeName = hTypeName;
	}

	public Integer getHstatus() {
		return hstatus;
	}

	public void setHstatus(Integer hstatus) {
		this.hstatus = hstatus;
	}

	public String getOpenTime() {
		return openTime;
	}

	public void setOpenTime(String openTime) {
		this.openTime = openTime;
	}

	public String getFitupTime() {
		return fitupTime;
	}

	public void setFitupTime(String fitupTime) {
		this.fitupTime = fitupTime;
	}

	public String getLiveTime() {
		return liveTime;
	}

	public void setLiveTime(String liveTime) {
		this.liveTime = liveTime;
	}

	public String getLeaveTime() {
		return leaveTime;
	}

	public void setLeaveTime(String leaveTime) {
		this.leaveTime = leaveTime;
	}

	public Integer getRoomNumber() {
		return roomNumber;
	}

	public void setRoomNumber(Integer roomNumber) {
		this.roomNumber = roomNumber;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getHconfig() {
		return hconfig;
	}

	public void setHconfig(String hconfig) {
		this.hconfig = hconfig;
	}

	public Integer getIsOrder() {
		return isOrder;
	}

	public void setIsOrder(Integer isOrder) {
		this.isOrder = isOrder;
	}

	public Integer getIsCheckout() {
		return isCheckout;
	}

	public void setIsCheckout(Integer isCheckout) {
		this.isCheckout = isCheckout;
	}

	public String getLockTime() {
		return lockTime;
	}

	public void setLockTime(String lockTime) {
		this.lockTime = lockTime;
	}

	public Integer getIsCanorder() {
		return isCanorder;
	}

	public void setIsCanorder(Integer isCanorder) {
		this.isCanorder = isCanorder;
	}

	public Integer getCreateId() {
		return createId;
	}

	public void setCreateId(Integer createId) {
		this.createId = createId;
	}

	public String getCreateDate() {
		return createDate;
	}

	public void setCreateDate(String createDate) {
		this.createDate = createDate;
	}

	public String getModifyDate() {
		return modifyDate;
	}

	public void setModifyDate(String modifyDate) {
		this.modifyDate = modifyDate;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public List<House> getHouseList() {
		return houseList;
	}

	public void setHouseList(List<House> houseList) {
		this.houseList = houseList;
	}

	/**
	 * 酒店最低价
	 */
	public String getMin_price() {
		return min_price;
	}

	public void setMin_price(String min_price) {
		this.min_price = min_price;
	}

	public String getManagerPhone() {
		return managerPhone;
	}

	public void setManagerPhone(String managerPhone) {
		this.managerPhone = managerPhone;
	}

	public String getHotelTownshipName() {
		return hotelTownshipName;
	}

	public void setHotelTownshipName(String hotelTownshipName) {
		this.hotelTownshipName = hotelTownshipName;
	}


	public List getHconfigList() {
		return hconfigList;
	}

	public void setHconfigList(List hconfigList) {
		this.hconfigList = hconfigList;
	}

	public String getHotel_name() {
		return hotel_name;
	}

	public void setHotel_name(String hotel_name) {
		this.hotel_name = hotel_name;
	}

	public List<FileInfo> getHotelFileInfoList() {
		return hotelFileInfoList;
	}

	public void setHotelFileInfoList(List<FileInfo> hotelFileInfoList) {
		this.hotelFileInfoList = hotelFileInfoList;
	}

	public String getRoom_number_calc() {
		return room_number_calc;
	}

	public void setRoom_number_calc(String room_number_calc) {
		this.room_number_calc = room_number_calc;
	}

	public String getCollect_hotel() {
		return collect_hotel;
	}

	public void setCollect_hotel(String collect_hotel) {
		this.collect_hotel = collect_hotel;
	}

	public boolean isIs_collect_hotel() {
		return is_collect_hotel;
	}

	public void setIs_collect_hotel(boolean is_collect_hotel) {
		this.is_collect_hotel = is_collect_hotel;
	}

	public String getLinkProUrl() {
		return linkProUrl;
	}

	public void setLinkProUrl(String linkProUrl) {
		this.linkProUrl = linkProUrl;
	}

	public String getCancelTime() {
		return cancelTime;
	}

	public void setCancelTime(String cancelTime) {
		this.cancelTime = cancelTime;
	}

	public String getHotelTownship() {
		return hotelTownship;
	}

	public void setHotelTownship(String hotelTownship) {
		this.hotelTownship = hotelTownship;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}
}
